Skip to navigation

Get order details

View as Markdown

Returns the orders stored in your account. Each update sent for an order (for example a status change) is returned as a separate entry, so several entries can share the same id.

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

OR
AuthorizationBearer

OAuth 2.0 client_credentials (machine-to-machine) grant. Exchange your app’s client_id/client_secret for a short-lived Bearer token.

Query parameters

limitlongOptional<=100Defaults to 50
Number of documents per page
offsetlongOptionalDefaults to 0
Index of the first document in the page
sortenumOptionalDefaults to desc

Sort the results in the ascending/descending order of record creation. Default order is descending if sort is not passed

Allowed values:
secondarySortByModifiedAtbooleanOptionalDefaults to false

When true, orders with the same createdAt are then ordered by their updatedAt, in the same direction as sort. Use it to get a stable order when paging through the results with limit and offset. Default is false.

modifiedSincestringOptional

Filter (urlencoded) the orders modified after a given UTC date-time (YYYY-MM-DDTHH:mm:ss.SSSZ). Prefer to pass your timezone in date-time format for accurate result.

createdSincestringOptional

Filter (urlencoded) the orders created after a given UTC date-time (YYYY-MM-DDTHH:mm:ss.SSSZ). Prefer to pass your timezone in date-time format for accurate result.

Response

orders fetched successfully

Errors

400
Bad Request Error